package abacus.springboot.example.api.view;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "稽查货品-商品信息" , name = "ApiRespJcPorductProduct")
public class ApiRespJcPorductProduct {

	@Schema(description="商品编码", required = false, example="1010400021")
	private String product;
	
	@Schema(description="商品名称", required = false, example="52度500ml五粮液")
	private String productName;
	
	@Schema(description="数量", required = false, example="12瓶/2件")
	private String quantity;
	
	@Schema(description="货品信息", required = false, example="")
	private List<ApiRespJcPorductItem> items;

	public String getProduct() {
		return product;
	}

	public void setProduct(String product) {
		this.product = product;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public String getQuantity() {
		return quantity;
	}

	public void setQuantity(String quantity) {
		this.quantity = quantity;
	}

	public List<ApiRespJcPorductItem> getItems() {
		return items;
	}

	public void setItems(List<ApiRespJcPorductItem> items) {
		this.items = items;
	}
}
